    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2007, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------------
    028     * XYToolTipGenerator.java
    029     * -----------------------
    030     * (C) Copyright 2001-2007, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 15-Apr-2004 : Extracted the generateToolTip() method from the
    038     *               XYItemLabelGenerator interface and put it into this new
    039     *               interface (DG);
    040     *
    041     */
    042
    043    package org.jfree.chart.labels;
    044
    045    import org.jfree.data.xy.XYDataset;
    046
    047    /**
    048     * Interface for a tooltip generator for plots that use data from an
    049     * {@link XYDataset}.
    050     */
    051    public interface XYToolTipGenerator {
    052
    053        /**
    054         * Generates the tooltip text for the specified item.
    055         *
    056         * @param dataset  the dataset (<code>null</code> not permitted).
    057         * @param series  the series index (zero-based).
    058         * @param item  the item index (zero-based).
    059         *
    060         * @return The tooltip text (possibly <code>null</code>).
    061         */
    062        public String generateToolTip(XYDataset dataset, int series, int item);
    063
    064    }